Package org.bukkit.event.player

# Class PlayerHideEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerHideEntityEvent

@Experimental public class PlayerHideEntityEvent extends PlayerEvent
Called when a visible entity is hidden from a player. This event is only called when the entity's visibility status is actually changed. This event is called regardless of if the entity was within tracking range.

See Also:
  - `Player.hideEntity(org.bukkit.plugin.Plugin, org.bukkit.entity.Entity)`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerHideEntityEvent(@NotNull Player who, @NotNull Entity entity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the entity which has been hidden from the player.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerHideEntityEvent

public PlayerHideEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity entity)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
Gets the entity which has been hidden from the player.

Returns:
  the hidden entity

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()